package com.malk.qiwang.Service;

import com.malk.qiwang.entity.InvoiceLibrary;
import com.baomidou.mybatisplus.extension.service.IService;
import com.malk.server.common.McR;

import java.util.Map;

/**
 * <p>
 * 发票库表 服务类
 * </p>
 *
 * @author LQY
 * @since 2026-04-27
 */
public interface IInvoiceLibraryService extends IService<InvoiceLibrary> {

    McR invoiceLibrary(Map map);

    void updateOaStatusByOaId(Map map);

    McR invoiceLibrarys(Map map);

    McR deleteAllByOaId(String oaId);

    McR invoiceLibrary1(Map map);

    McR invoiceLibrary2(Map map);

    McR invoiceLibrary3(Map map);

    McR invoiceLibrary5(Map map);

    McR invoiceLibrary6(Map map);

    void updateSfctByOaId(Map map);
}
